---
title: MediaSettingsRange.step
slug: Web/API/MediaSettingsRange/step
tags:
  - API
  - ImageCapture
  - MediaSettingsRange
  - MediaStream
  - MediaStream Image Capture API
  - Property
  - Reference
  - step
---
<p>{{SeeCompatTable}}{{APIRef("MediaStream Image")}}</p>

<p><span class="seoSummary">The <strong><code>step</code></strong> read-only property of the {{domxref("MediaSettingsRange")}} interface returns the minimum difference between consecutive values of the settings range.</span></p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>step</em> = <em>mediaSettingsRange</em>.step</pre>

<h3 id="Value">Value</h3>

<p>A double integer.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
	<tbody>
		<tr>
			<th scope="col">Specification</th>
			<th scope="col">Status</th>
			<th scope="col">Comment</th>
		</tr>
		<tr>
			<td>{{SpecName('MediaStream Image','#dom-mediasettingsrange-step','step')}}</td>
			<td>{{Spec2('MediaStream Image')}}</td>
			<td>Initial definition.</td>
		</tr>
	</tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.MediaSettingsRange.step")}}</p>
